I totally agree with Richard - I am stuck with windows mostly as I got 
MS qualifications so I can possibly get a job in developing and my 
machine doesn't have sufficient space for a duel boot at the minute ( 
catch 22 - job = money = new machine!).

  Sooo... using the latest windows installers results in a generally 
pleasurable ruby experience. Nearly everything works well on windows and 
I can develop with ruby to my hearts content. Occasionally a gem appears 
that will not work on windows - I think this is due to a lack of thought 
or even disregard rather than  it can't be done, e.g. rvm (switch 
between ruby versions)

I use ruby 1.8.6 or 1.8.7 (waiting for some of my favourite gems to 
update for 1.9) and I do have 1.9.1 which I am experimenting with. 
Windows  is XP and I use notepad++  or scite. Scite is excellent for 
small programs and learning, why use anything else?

Have fun